from streamlit_agraph import agraph, Node, Edge, Config


def draw_graph(graph):
    nodes = []
    edges = []

    for node in graph.nodes:
        node_label = node["Encounter"]

        nodes.append(
            Node(
                id=node.element_id,
                label=node_label,
                size=30,
            )
        )

    for relationship in graph.relationships:
        edges.append(
            Edge(
                source=relationship.start_node.element_id,
                target=relationship.end_node.element_id,
                label=relationship.type,
            )
        )

    config = Config(
        width=1500,
        height=600,
        directed=True,
        physics=True,
        hierarchical=False,
    )

    return agraph(nodes=nodes, edges=edges, config=config)
